#Versioning for scribus
#%%global versioning 1.5.3.svn/
Name:		scribus-generator
Version:	2.5
Release:	5%{?dist}
Summary:	Open source high-quality PDF template and mail-merge alternative

License:	MIT
URL:		https://github.com/berteh/ScribusGenerator

Source0:	https://github.com/berteh/ScribusGenerator/archive/%{version}.tar.gz#/ScribusGenerator-%{version}.tar.gz
Source1:	%{name}.metainfo.xml

BuildRequires:	python2-devel
BuildRequires:	libappstream-glib
Requires:	tkinter
Requires:	scribus
BuildArch:	noarch

%description
Mail-Merge-like extension to Scribus, to generate Scribus and 
PDF documents automatically from external data.

%prep
%autosetup -n ScribusGenerator-%{version}

#Replace shebangs line #!/usr/bin/env python
sed -i 's/\r//' ScribusGeneratorBackend.py

%build
#Nothing to builds

%install
install -Dpm 0644 *.{py,conf} -t %{buildroot}%{_datadir}/scribus/scripts/
cp -pr {example,pic} %{buildroot}%{_datadir}/scribus/scripts/


# Add AppStream metadata
install -Dm 0644 -p %{SOURCE1} \
	%{buildroot}%{_datadir}/metainfo/%{name}.metainfo.xml

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/%{name}.metainfo.xml

%files
%license LICENSE
%doc README.md
%{_datadir}/scribus/scripts/*
%{_datadir}/scribus/scripts/{example,pic}
#AppStream metadata
%{_datadir}/metainfo/%{name}.metainfo.xml


%changelog
* Thu Jan 18 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 2.5-4
- Add missing loggin.conf file

* Thu Jan 18 2018 Luya Tshimbalanga <luya@fedoraproject.org> - 2.5-4
- Remove conditional script version
- Add missing directory for frontend

* Sun Dec 17 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 2.5-3
- Fix source url

* Fri Dec 01 2017 Luya Tshimbalanga <luya@fedoraproject.org> - 2.5-2
- Fix source url
- Add python2-devel for build requirement
- Fix overall spec

* Sun May  7 2017 Luya Tshimbalanga <luya@fedoraproject.org> 2.5-1
- Initial build
